- Home
- API Enriched
- Billing And Usage
- web
- GetInvoicePdf.
GetInvoicePdf.
GET
/api/web/namespaces/{namespace}/usage/invoice_pdf
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/usage/invoice_pdf';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/usage/invoice_pdf \ --header 'Authorization: <Authorization>'Retrieve pdf for a paid invoice by its name.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace filter.
Query Parameters
Section titled “Query Parameters”name
string
Name of the invoice to be downloaded.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetInvoicePdfRsp
Response for GetInvoicePdf rpc method.
object
pdf
PDF
Base 64 encoded invoice as a PDF document.
string format: byte
Examplegenerated
{ "pdf": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example